{
    attributes = (
        {
            columnName = C_PAYS; 
            externalType = VARCHAR2; 
            name = cPays; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = CODE_ISO; 
            externalType = VARCHAR2; 
            name = codeIso; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_DEB_VAL; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_FIN_VAL; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = L_NATIONALITE; 
            externalType = VARCHAR2; 
            name = lNationalite; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            definition = "UPPER(SUBSTR(L_NATIONALITE,1,1))||LOWER(SUBSTR(L_NATIONALITE,2,LENGTH(L_NATIONALITE)))"; 
            externalType = VARCHAR2; 
            name = lNationaliteBis; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_PAYS; 
            externalType = VARCHAR2; 
            name = lcPays; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_PAYS; 
            externalType = VARCHAR2; 
            name = llPays; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            definition = "INITCAP(LL_PAYS)"; 
            externalType = VARCHAR2; 
            name = llPaysBis; 
            valueClassName = NSString; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (cPays); 
    className = EOGenericRecord; 
    classProperties = (
        cPays, 
        llPays, 
        lcPays, 
        lNationalite, 
        dDebVal, 
        dFinVal, 
        dCreation, 
        dModification, 
        codeIso, 
        llPaysBis, 
        lNationaliteBis
    ); 
    externalName = GRHUM.PAYS; 
    fetchSpecificationDictionary = {}; 
    name = GrhumPays; 
    primaryKeyAttributes = (cPays); 
}
